Debian Bug report logs - #585426
fdupes: Strange help message

version graph

Package: fdupes; Maintainer for fdupes is Sandro Tosi <morph@debian.org>; Source for fdupes is src:fdupes.

Reported by: Harri Haataja <realblades@gmail.com>

Date: Thu, 10 Jun 2010 13:42:04 UTC

Severity: minor

Tags: patch

Found in version fdupes/1.50-PR2-3

Done: Sandro Tosi <morph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sandro Tosi <morph@debian.org>:
Bug#585426; Package fdupes. (Thu, 10 Jun 2010 13:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harri Haataja <realblades@gmail.com>:
New Bug report received and forwarded. Copy sent to Sandro Tosi <morph@debian.org>. (Thu, 10 Jun 2010 13:42:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Harri Haataja <realblades@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fdupes: Strange help message
Date: Thu, 10 Jun 2010 16:38:55 +0300
Package: fdupes
Version: 1.50-PR2-3
Severity: minor


>From --help output:
 -L --linkhard          hardlink duplicate files to the first file in
                        each set of duplicates without prompting the user
 -N --noprompt          together with --delete, preserve the first file in
                        each set of duplicates and delete the rest without
                        without prompting the user
 -D --debug             enable debugging information
                        each set of duplicates without prompting the user


man page seems sensible.
Term size in case it matters:
COLUMNS=106;
LINES=59;

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=fi_FI.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages fdupes depends on:
ii  libc6                         2.10.2-9   Embedded GNU C Library: Shared lib

fdupes recommends no packages.

fdupes suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#585426; Package fdupes. (Wed, 16 Jun 2010 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. (Wed, 16 Jun 2010 19:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 585426@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Harri Haataja <realblades@gmail.com>, 585426@bugs.debian.org
Subject: Re: Bug#585426: fdupes: Strange help message
Date: Wed, 16 Jun 2010 21:02:38 +0200
Hello Harri,

On Thu, Jun 10, 2010 at 15:38, Harri Haataja <realblades@gmail.com> wrote:
> Package: fdupes
> Version: 1.50-PR2-3
> Severity: minor
>
>
> >From --help output:
>  -L --linkhard          hardlink duplicate files to the first file in
>                        each set of duplicates without prompting the user
>  -N --noprompt          together with --delete, preserve the first file in
>                        each set of duplicates and delete the rest without
>                        without prompting the user
>  -D --debug             enable debugging information
>                        each set of duplicates without prompting the user
>
>
> man page seems sensible.

what is the exact problem you're seeing? being verbose and explain
with details what's your situation usually avoid wasting time trying
to decipher an un-clear bug report.

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Sandro Tosi <morph@debian.org>:
Bug#585426; Package fdupes. (Wed, 11 May 2011 13:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Margarita Manterola <marga@debian.org>:
Extra info received and forwarded to list. Copy sent to Sandro Tosi <morph@debian.org>. (Wed, 11 May 2011 13:00:07 GMT) Full text and rfc822 format available.

Message #15 received at 585426@bugs.debian.org (full text, mbox):

From: Margarita Manterola <marga@debian.org>
To: Sandro Tosi <morph@debian.org>, 585426@bugs.debian.org
Cc: Harri Haataja <realblades@gmail.com>, control@bugs.debian.org
Subject: Re: Bug#585426: fdupes: Strange help message
Date: Wed, 11 May 2011 09:58:11 -0300
[Message part 1 (text/plain, inline)]
tags 585426 +patch
thanks

Hi,

The problem reported was this:

On Wed, Jun 16, 2010 at 4:02 PM, Sandro Tosi <morph@debian.org> wrote:
>>  -D --debug             enable debugging information
>>                        each set of duplicates without prompting the user

The second line of the --debug option doesn't make any sense.

This "bug" was introduced through the patch
50_bts284274_hardlinkreplace.dpatch, that by mistake added this line
to the --debug option after also adding other stuff.

I have fixed the patch so that it doesn't add an unnecessary line.
I'm attaching the debdiff output and the fixed patch.

Hope it helps!

-- 
Besos,
Marga
[fdupes.diff (text/x-diff, attachment)]
[50_bts284274_hardlinkreplace.dpatch (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Margarita Manterola <marga@debian.org> to control@bugs.debian.org. (Wed, 11 May 2011 13:00:08 GMT) Full text and rfc822 format available.

Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Mon, 20 Jan 2014 21:03:05 GMT) Full text and rfc822 format available.

Notification sent to Harri Haataja <realblades@gmail.com>:
Bug acknowledged by developer. (Mon, 20 Jan 2014 21:03:05 GMT) Full text and rfc822 format available.

Message #22 received at 585426-done@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Margarita Manterola <marga@debian.org>
Cc: 585426-done@bugs.debian.org, Harri Haataja <realblades@gmail.com>
Subject: Re: Bug#585426: fdupes: Strange help message
Date: Mon, 20 Jan 2014 21:59:39 +0100
> On Wed, Jun 16, 2010 at 4:02 PM, Sandro Tosi <morph@debian.org> wrote:
>>>  -D --debug             enable debugging information
>>>                        each set of duplicates without prompting the user

this is part of a currently not applied patch but the correct version
is still available in the repository, hence closing.

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Feb 2014 07:34:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:26:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.